{
  "name": "vue-composition-crud",
  "version": "1.22.1",
  "description": "CRUD API Composables for Vue",
  "main": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "author": "Daniel 'Vector' Kerr",
  "license": "MIT",
  "private": false,
  "publishConfig": {
    "access": "public"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/vector.kerr/vue-composition-crud"
  },
  "files": [
    "package.json",
    "README.md",
    "LICENSE.md",
    "src",
    "dist",
    "docs",
    "examples",
    ".eslintrc.json",
    ".nycrc.json",
    "tsconfig.json"
  ],
  "scripts": {
    "build": "tsc",
    "test": "yarn ts-mocha \"src/**/*.ts\"",
    "coverage": "nyc yarn ts-mocha \"src/**/*.ts\"; nyc report --reporter=html --reporter=cobertura --reporter=text --exclude-after-remap=false",
    "lint": "eslint \"src/**/*.ts\"",
    "docs": "typedoc",
    "semantic-release": "semantic-release"
  },
  "devDependencies": {
    "@semantic-release/git": "^10.0.0",
    "@semantic-release/gitlab": "^6.2.2",
    "@semantic-release/npm": "^8.0.0",
    "@types/chai": "^4.2.21",
    "@types/chai-as-promised": "^7.1.4",
    "@types/chai-spies": "^1.0.3",
    "@types/fetch-mock": "^7.3.5",
    "@types/js-cookie": "^2.2.7",
    "@types/mocha": "^9.0.0",
    "@types/sinon": "^10.0.4",
    "@typescript-eslint/eslint-plugin": "^4.31.0",
    "@typescript-eslint/parser": "^4.31.0",
    "@vue/cli": "^4.5.13",
    "chai": "^4.3.4",
    "chai-as-promised": "^7.1.1",
    "chai-fetch-mock": "^3.0.0",
    "chai-spies": "^1.0.0",
    "eslint": "^7.32.0",
    "fetch-mock": "^9.11.0",
    "mocha": "^9.1.1",
    "mocha-sinon": "^2.1.2",
    "nyc": "^15.1.0",
    "semantic-release": "^18.0.0",
    "sinon": "^11.1.2",
    "sinon-chai": "^3.7.0",
    "ts-mocha": "^8.0.0",
    "ts-mockito": "^2.6.1",
    "typedoc": "^0.22.4",
    "typescript": "^4.4.3",
    "vue": "3"
  },
  "dependencies": {
    "cross-fetch": "^3.1.4",
    "js-cookie": "^3.0.1"
  }
}
